BCALM(1)

NAME
bcalm - de Bruijn compaction in low memory

DESCRIPTION
Bioinformatics tool for constructing the compacted de Bruijn graph from sequencing data.

[bcalm_1 options]

-nb-cores (1 arg) :
    number of cores [default '0']

-verbose
    (1 arg) : verbosity level [default '1']

-version
    (0 arg) : version

-help
    (0 arg) : help

    [graph options]

-no-mphf
    (0 arg) : don't construct the MPHF

    [kmer count options]

-in (1 arg) : reads file [default '']

-kmer-size
    (1 arg) : size of a kmer [default '31']

-abundance-min
    (1 arg) : min abundance threshold for solid kmers [default '2']

-abundance-max
    (1 arg) : max abundance threshold for solid kmers [default '2147483647']

-solidity-custom
    (1 arg) : when solidity-kind is custom, specifies list of files where kmer must be present [default '']

-max-memory
    (1 arg) : max memory (in MBytes) [default '5000']

-max-disk
    (1 arg) : max disk (in MBytes) [default '0']

-out
    (1 arg) : output file [default '']

-out-dir
    (1 arg) : output directory [default '.']

-out-tmp
    (1 arg) : output directory for temporary files [default '.']

-out-compress
    (1 arg) : h5 compression level (0:none, 9:best) [default '0']

-storage-type
    (1 arg) : storage type of kmer counts ('hdf5' or 'file') [default 'hdf5']

-histo2D
    (1 arg) : compute the 2D histogram (with first file = genome, remaining files = reads) [default '0']

-histo
    (1 arg) : output the kmer abundance histogram [default '0']

    [kmer count, advanced performance tweaks options]

-minimizer-type
    (1 arg) : minimizer type (0=lexi, 1=freq) [default '1']

-minimizer-size
    (1 arg) : size of a minimizer [default '10']

-repartition-type (1 arg) :
    minimizer repartition (0=unordered, 1=ordered) [default '1']

    [bloom options]

-bloom
    (1 arg) : bloom type ('basic', 'cache', 'neighbor') [default 'neighbor']

-debloom
    (1 arg) : debloom type ('none', 'original' or 'cascading') [default 'cascading']

-debloom-impl (1 arg) :
    debloom impl ('basic', 'minimizer') [default 'minimizer']

    [branching options]

-branching-nodes (1 arg) :
    branching type ('none' or 'stored') [default 'stored']

-topology-stats
    (1 arg) : topological information level (0 for none) [default '0']

    [general options]

-config-only
    (0 arg) : dump config only

-nb-cores
    (1 arg) : number of cores [default '0']

-verbose
    (1 arg) : verbosity level [default '1']

-integer-precision (1 arg) :
    integers precision (0 for optimized value) [default '0']

[debug
    options]

-redo-bcalm
    (0 arg) : debug function, redo the bcalm algo

-skip-bcalm
    (0 arg) : same, but skip bcalm

-redo-bglue
    (0 arg) : same, but redo bglue

-skip-bglue
    (0 arg) : same, but skip bglue

-redo-links
    (0 arg) : same, but redo links

-skip-links
    (0 arg) : same, but skip links

-nb-glue-partitions (1 arg) :
    number of glue partitions (automatically calculated by default) [default '0']

AUTHOR
This manpage was written by Shayan Doust for the Debian distribution and can be used for any other usage of the program.